## org.apache.hadoop.io
Interface RawComparator<T>

Type Parameters:
  `T` -

All Superinterfaces:
  Comparator<T>

All Known Implementing Classes:
  BooleanWritable.Comparator, BytesWritable.Comparator, ByteWritable.Comparator, DeserializerComparator, DoubleWritable.Comparator, FloatWritable.Comparator, IntWritable.Comparator, JavaSerializationComparator, KeyFieldBasedComparator, KeyFieldBasedComparator, LongWritable.Comparator, LongWritable.DecreasingComparator, MD5Hash.Comparator, NullWritable.Comparator, RecordComparator, SecondarySort.FirstGroupingComparator, SecondarySort.IntPair.Comparator, Text.Comparator, UTF8.Comparator, WritableComparator

    public interface RawComparator<T>

extends Comparator<T>

A `Comparator` that operates directly on byte representations of objects.

See Also:
  `DeserializerComparator`

Method Summary
`int` `compare(byte[] b1, int s1, int l1, byte[] b2, int s2, int l2)`

Methods inherited from interface java.util.Comparator
`compare, equals`

Method Detail

### compare

    int compare(byte[] b1,
                int s1,
                int l1,
                byte[] b2,
                int s2,
                int l2)

Copyright © 2009 The Apache Software Foundation